copy_to_user
Prev | User Space Memory Access | Next

## Name

copy_to_user — Copy a block of data into user space.

## Synopsis

`unsigned long copy_to_user (` | void __user * | to,
| const void * | from,
| unsigned long | n`)`;

## Arguments

`to`

  Destination address, in user space.

`from`

  Source address, in kernel space.

`n`

  Number of bytes to copy.

## Context

User context only. This function may sleep.

## Description

Copy data from kernel space to user space.

Returns number of bytes that could not be copied. On success, this will be zero.

Prev | Up | Next
strnlen_user | Home | copy_from_user